summaryrefslogtreecommitdiffstats
path: root/nfs_wizard
diff options
context:
space:
mode:
authorArnaud Desmons <adesmons@mandriva.com>2002-09-05 07:37:06 +0000
committerArnaud Desmons <adesmons@mandriva.com>2002-09-05 07:37:06 +0000
commitf7cca6ea32444a7764d54989bf360530d07d6092 (patch)
tree779049ed3b297fa40354f497a5e0d6ca86505096 /nfs_wizard
parent52d4a220029dac288c8b86c3271ce9ab5fbdc6c2 (diff)
downloaddrakwizard-f7cca6ea32444a7764d54989bf360530d07d6092.tar
drakwizard-f7cca6ea32444a7764d54989bf360530d07d6092.tar.gz
drakwizard-f7cca6ea32444a7764d54989bf360530d07d6092.tar.bz2
drakwizard-f7cca6ea32444a7764d54989bf360530d07d6092.tar.xz
drakwizard-f7cca6ea32444a7764d54989bf360530d07d6092.zip
untouched
Diffstat (limited to 'nfs_wizard')
-rwxr-xr-xnfs_wizard/scripts/do_it_nfs.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/nfs_wizard/scripts/do_it_nfs.sh b/nfs_wizard/scripts/do_it_nfs.sh
new file mode 100755
index 00000000..917d838d
--- /dev/null
+++ b/nfs_wizard/scripts/do_it_nfs.sh
@@ -0,0 +1,52 @@
+#!/bin/bash
+#
+# Wizard
+#
+# Copyright (C) 2000 Mandrakesoft.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# See file LICENSE for further informations on licensing terms.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# Authors: Philippe Vivien, Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
+# <corporate@mandrakesoft.com> http://www.mandrakesoft.com
+
+# script for wizard nfs configuration
+#
+# modify default nfs configuration
+# assuming all dependencies are ok
+#
+# WARNING : just using /etc/exports for nfs configuration, assuming
+# other files are close to standard configuration
+
+nfs_file="/etc/exports"
+
+echo "${wiz_nfs_dir} ${wiz_ip_net} ${wiz_ip_netmask}"
+echo "wiz_ip_net:${wiz_ip_net}" >t.log
+echo "wiz_ip_netmask:${wiz_ip_netmask}" >>t.log
+
+echo "dir:${wiz_nfs_dir}" >>t.log
+echo "clt:${wiz_ip_net}/${wiz_ip_netmask}" >>t.log
+
+echo "export :\n">>t.log
+echo "${wiz_nfs_dir} ${wiz_ip_net}/${wiz_ip_netmask}(rw,no_root_squash)" >> t.log
+echo "${wiz_nfs_dir} ${wiz_ip_net}/${wiz_ip_netmask}(rw,no_root_squash)" > ${nfs_file}
+
+/usr/sbin/exportfs -a
+
+# all is ok
+exit 10
+
+
+